def lunar_sum(a, b):
    """Вычисляет сумму двух чисел в лунной арифметике."""
    a_str = str(a)
    b_str = str(b)
    max_len = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_len)
    b_str = b_str.zfill(max_len)
    result = ""
    for i in range(max_len):
        result += str(max(int(a_str[i]), int(b_str[i])))
    return int(result)

def lunar_product(a, b):
    """Вычисляет произведение двух чисел в лунной арифметике."""
    a_str = str(a)
    b_str = str(b)
    result = 0
    for i, digit_a in enumerate(reversed(a_str)):
        temp_result = 0
        power_of_10 = 1
        for j, digit_b in enumerate(reversed(b_str)):
            temp_result += min(int(digit_a), int(digit_b)) * power_of_10
            power_of_10 *= 10

        
        result = lunar_sum(result, temp_result* (10**i))

    return result



a = int(input("Введите первое число: "))
b = int(input("Введите второе число: "))

lunar_sum_result = lunar_sum(a, b)
lunar_product_result = lunar_product(a,b)

print(f"Сумма в лунной арифметике: {lunar_sum_result}")
print(f"Произведение в лунной арифметике: {lunar_product_result}")