def find_path(a, b):
    left_numerator = 0
    left_denominator = 1
    right_numerator = 1
    right_denominator = 0
    path = []

    while True:
        # Находим среднюю дробь
        mid_numerator = left_numerator + right_numerator
        mid_denominator = left_denominator + right_denominator

        # Проверяем, совпадает ли средняя дробь с искомой
        if mid_numerator == a and mid_denominator == b:
            return ''.join(path)

        # Если искомая дробь меньше средней, идем влево
        if (a * mid_denominator < b * mid_numerator):
            path.append('L')
            right_numerator = mid_numerator
            right_denominator = mid_denominator
        # Если искомая дробь больше средней, идем вправо
        elif (a * mid_denominator > b * mid_numerator):
            path.append('R')
            left_numerator = mid_numerator
            left_denominator = mid_denominator
        else:
            # Если дробь не может быть достигнута
            return "no"

# Пример использования
a, b = map(int, input().split())
result = find_path(a, b)
print(result)