def find_path(a, b):
    path = []
    
    # Инициализация текущей дроби
    x, y = 0, 1  # Это 0/1
    target_numerator, target_denominator = a, b

    while True:
        if x * target_denominator < y * target_numerator:
            # Исходная дробь меньше целевой
            path.append('R')  # Поворачиваем направо
            x, y = x + y, y  # Переход к правой дроби
        elif x * target_denominator > y * target_numerator:
            # Исходная дробь больше целевой
            path.append('L')  # Поворачиваем налево
            y = x + y  # Переход к левой дроби
        else:
            # Достигли целевой дроби
            return ''.join(path)

        # Проверяем на выход за границы
        if y == 0:  # Дробь 1/0, которая не может существовать
            return "no"

# Чтение входных данных
a, b = map(int, input().split())

# Получение результата
result = find_path(a, b)
print(result)