def can_make_correct_cube(rolls):
    # Проверка всех противоположных граней
    sum1 = rolls[0] + rolls[5]
    sum2 = rolls[1] + rolls[4]
    sum3 = rolls[2] + rolls[3]
    
    # Если все суммы одинаковые, кубик правильный
    return sum1 == sum2 == sum3

# Ввод шести чисел
numbers = list(map(int, input().strip().split()))

if len(numbers) != 6:
    print("Ошибка: необходимо ввести 6 чисел.")
else:
    if can_make_correct_cube(numbers):
        print("Да, кубик возможно изготовить.")
    else:
        print("Нет, кубик невозможно изготовить.")