def lunar_arithmetic(a, b):
    # Преобразуем числа в строки, чтобы работать с каждой цифрой
    a_str = str(a)
    b_str = str(b)

    # Убедимся, что числа имеют одинаковую длину, добавляя нули в начале
    max_length = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_length)
    b_str = b_str.zfill(max_length)

    lunar_sum = ""
    lunar_product = ""

    # Выполняем операции по каждой цифре
    for digit_a, digit_b in zip(a_str, b_str):
        # Преобразуем символы в целые числа
        a_digit = int(digit_a)
        b_digit = int(digit_b)

        # Сумма (max)
        lunar_sum += str(max(a_digit, b_digit))
        # Произведение (min)
        lunar_product += str(min(a_digit, b_digit))

    return lunar_sum, lunar_product

# Пример использования
a = input("Введите первое число: ")
b = input("Введите второе число: ")

result_sum, result_product = lunar_arithmetic(a, b)
print("Сумма в лунной арифметике:", result_sum)
print("Произведение в лунной арифметике:", result_product)