def fraction_to_path(p, q):
    path = []
    while True:
        if p == 1 and q == 1:
            break
        elif p < q:  # Значит мы в левой ветви
            path.append('L')
            q = p + q  # Двигаемся вверх к родителю
        else:  # p > q, значит мы в правой ветви
            path.append('R')
            p = p + q  # Двигаемся вверх к родителю
    
    # Мы получаем путь в обратном порядке, поэтому реверсируем его
    return ''.join(reversed(path))

# Пример использования
p, q = map(int, input("Введите дробь (p q): ").split())
path = fraction_to_path(p, q)
print(path)