def find_path(a, b):
    path = []
    left_numerator = 0
    left_denominator = 1
    right_numerator = 1
    right_denominator = 0

    while True:
        if a * right_denominator > b * right_numerator:  # a/b > 1/1
            path.append('R')
            left_numerator += right_numerator
            left_denominator += right_denominator
        elif a * left_denominator < b * left_numerator:  # a/b < 0/1
            return "no"
        else:
            return ''.join(path[::-1])  # Возвращаем путь в обратном порядке
        
        right_numerator, right_denominator = left_numerator + right_numerator, left_denominator + right_denominator

# Чтение входных данных
a, b = map(int, input().split())
result = find_path(a, b)
print(result)