def find_path(a, b):
    left_numerator, left_denominator = 0, 1  # Дробь 0/1
    right_numerator, right_denominator = 1, 0  # Дробь 1/0
    path = []

    while True:
        # Вычисляем среднюю дробь
        mid_numerator = left_numerator + right_numerator
        mid_denominator = left_denominator + right_denominator

        # Сравниваем среднюю дробь с искомой
        if mid_numerator * b == a * mid_denominator:
            return ''.join(path)  # Дробь найдена

        elif mid_numerator * b < a * mid_denominator:
            # Идём вправо
            path.append('R')
            left_numerator, left_denominator = mid_numerator, mid_denominator
        else:
            # Идём влево
            path.append('L')
            right_numerator, right_denominator = mid_numerator, mid_denominator

        # Проверка выхода за пределы
        if left_denominator + right_denominator == 0:
            break

    return 'no'  # Дробь не найдена

# Чтение входных данных
a, b = map(int, input().strip().split())
print(find_path(a, b))